{smcl}
{* *! version 0.2 August 22, 2009}{...}
{cmd:help fhh}
{hline}

{title:Title}

{p2colset 5 18 20 2}{...}
{p2col :{hi:fhh} {hline 2}}Estimation of Discrete Time Duration Models with Group-level Heterogeneity{p_end}
{p2colreset}{...}


{title:Syntax}

{p 8 17 2}
{cmd:fhh} {varlist} {ifin} [{cmd:, tau({it:real})} 
{cmdab:det:ails} {cmdab:nod:ummy}]

{p 4 6 2}
{it:varlist}  must have the following structure:

{phang}The first element is the group id.{p_end}
{phang}The second element is the individual id.{p_end}
{phang}The third element is the period (calendar time).{p_end}
{phang}The 4th element is y. y takes 2 values: y=0 if the event has not happened and y=1 if the event happened this period.{p_end}
{phang}The 5th element is the number of periods in state (S in paper).{p_end}
{phang}The remaining elements are the explanatory variables. {p_end}


{title:Despription}

{pstd}{cmd:fhh} implements the logit estimator in Frederiksen, Honor and Hu (2007). If the panel is unbalanced, the weight given to all 
the comparisons for unit {it:i} is {it:1/T(i)}. See Honor and Kyriazidou (2000).


{title:Options}

{phang}{opt details} specifies that details form the numerical optimization are displayed.

{phang}{opt tau(real)} specifies the value of tau in Frederiksen, Honor and Hu (2007). The default is 100.

{phang}{opt nodummy} will force the coefficients of all durations dummies to be 0. This is useful if the user wants 
to parameterize the duration dependence (in which case transformations of the duration could be used as covariates).


{title:Examples}

{phang}. fhh g_id p_id caltim y s x1 x2 x3{p_end}
{phang}. fhh g_id p_id caltim y s x1 x2 x3, details{p_end}
{phang}. fhh g_id p_id caltim y s x1 x2 x3, det{p_end}
{phang}. fhh g_id p_id caltim y s x1 x2 x3, details tau(10){p_end}


{title:References}

{phang}Frederiksen, Anders, Bo E. Honore and Luojia Hu (2007) "Discrete time duration models with group-level heterogeneity," {it: Journal of Econometrics}, volume 141, issue 2, pp 1014-1043{p_end}
{phang}Honor, Bo E. and Ekaterini Kyriazidou (2000): "Estimation of Tobit-Type Models with Individual Specific Effects" {it:Econometric Reviews}, vol. 19, no. 3, pp. 341-366{p_end}


{title:Author}

{phang}Bo E. Honor, Princeton University, honore@princeton.edu{p_end}





